Join us at MongoDB.local London on 7 May to unlock new possibilities for your data. Use WEB50 to save 50%.
Register now >
Docs Menu
Docs Home
/ /

Conmutar estado de telemetría

Habilita o deshabilita la recopilación de telemetría para tu instalación de Ops Manager.

Este endpoint requiere una clave API que tenga la Global Owner role.

URL base: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry

PATCH /collection/status

Este endpoint no utiliza parámetros de ruta de solicitud HTTP.

Este punto final no utiliza parámetros de query de solicitudes HTTP.

Nombre
Tipo
Necesidad
Descripción

habilitado

booleano

Requerido

Establezca en true para habilitar la telemetría o false para deshabilitarla.

Este punto final devuelve un vacío JSON object.

curl --user "{publicApiKey}:{privateApiKey}" --digest \
--header "Accept: application/json" \
--header "Content-Type: application/json" \
--include \
--request PATCH "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/status"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 400 Bad Request
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
X-MongoDB-Service-Version: gitHash={gitHash};
versionString={ApplicationVersion}
Content-Length: {requestLengthInBytes}
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{}

Volver

Retrieve Telemetry Data

En esta página